Package com.databricks.jdbc.api.impl.arrow

## Interface ChunkProvider

All Known Implementing Classes:
  `InlineChunkProvider`, `RemoteChunkProvider`

    public interface ChunkProvider

Implementations of this interface manage the retrieval and iteration over `ArrowResultChunk`s.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Closes the chunk provider and releases any resources associated with it.
`ArrowResultChunk` `getChunk()` Retrieves the current chunk of data after a successful call to `next()`.
`boolean` `hasNextChunk()` Checks if there are more chunks available to iterate over.
`boolean` `next()` Advances to the next available chunk.

### Method Detail

#### hasNextChunk

    boolean hasNextChunk()

Checks if there are more chunks available to iterate over.

Returns:
  `true` if there are additional chunks to be retrieved; `false` otherwise.

#### next

    boolean next()

Advances to the next available chunk. This method should be called before calling `getChunk()` to retrieve the data from the next chunk.

Returns:
  `true` if the next chunk was successfully moved to; `false` if there are no more chunks.

#### getChunk

    ArrowResultChunk getChunk()
                       throws DatabricksSQLException

Retrieves the current chunk of data after a successful call to `next()`.

Returns:
  The current `ArrowResultChunk` containing the data.
Throws:
  `DatabricksSQLException` - if an error occurs while fetching the chunk.

#### close

    void close()

Closes the chunk provider and releases any resources associated with it. After calling this method, the chunk provider should not be used again.